using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PR
{
    [Description("药品搬运记录表")]
    public class T_PR_DRUG_CARRY_RECORD : MesEntityBase
    {
        [Description("编号")]
        public string CODE { get; set; }

        [Description("药品明细")]
        public ICollection<T_PR_DRUG_CARRY_RECORD_DETAIL> Nav_Details { get; set; }

        [Description("搬运安全确认明细")]
        public ICollection<T_PR_DRUG_CARRY_SAFE_CONFIRM> Nav_Confirms { get; set; }

        [Description("药品出库记录表")]
        [DataFieldForeignKey("Nav_Record")]
        public Guid OUTBOUND_RECORD_ID { get; set; }

        [Description("药品出库记录表")]
        public virtual T_PR_DRUG_OUTBOUND_RECORD Nav_Record { get; set; }

        [Description("状态")]
        [EnumName("PFStandardStatus")]
        public PFStandardStatus STATUS { get; set; }

        [Description("是否发布")]
        [DataFieldIngore]
        public string PUBLISH { get; set; }

        [Description("药剂类型")]
        [DataFieldForeignKey("Nav_Type")]
        public Guid? TYPE_ID { get; set; }

        [Description("药剂类型")]
        public virtual T_PR_DRUG_TYPE Nav_Type { get; set; }
    }
}
